// UsersSet.cpp : implementation file
//

#include "stdafx.h"
#include "ex30a.h"
#include "UsersSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUsersSet

IMPLEMENT_DYNAMIC(CUsersSet, CDaoRecordset)

CUsersSet::CUsersSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CUsersSet)
	m_lUserID = 0;
	m_strUserName = _T("");
	m_strPassword = _T("");
	m_nFields = 3;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CUsersSet::GetDefaultDBName()
{
	return _T("E:\\Programación Enero 98\\Proyectos\\InternetServer\\ITBLibrary.mdb");
}

CString CUsersSet::GetDefaultSQL()
{
	return _T("[Users]");
}

void CUsersSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CUsersSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[UserID]"), m_lUserID);
	DFX_Text(pFX, _T("[UserName]"), m_strUserName);
	DFX_Text(pFX, _T("[Password]"), m_strPassword);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CUsersSet diagnostics

#ifdef _DEBUG
void CUsersSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CUsersSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
